Bug 3004 - Dock-icon не встраивается в notification-area в GNOME
: Dock-icon не встраивается в notification-area в GNOME
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/licq-kde)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-17 18:40 by
Modified: 2008-02-18 15:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-17 18:40:26
Повидимому, проблема в том, что для licq в плагином kde-qui

_NET_WM_WINDOW_TYPE(ATOM) = _NET_WM_WINDOW_TYPE_NORMAL

В то время как для других приолжений (psi, gaim)

_NET_WM_WINDOW_TYPE(ATOM) = _NET_WM_WINDOW_TYPE_DOCK
------- Comment #1 From 2003-09-24 12:26:22 -------
reassign 2 zerg@altlinux.org 
------- Comment #2 From 2003-09-24 13:16:16 -------
reassign 2 inger@altlinux.org 
------- Comment #3 From 2003-09-24 13:18:40 -------
sorry, reassign 2 zerg@altlinux.org 
------- Comment #4 From 2003-09-30 14:23:04 -------
он и не должен туду встраиваться 
------- Comment #5 From 2003-09-30 18:55:31 -------
А почему нет? (для qt-gui, кстати, то же самое)
Мне кажется, это скорее баг, чем фича...
Dock-icon всё-таки должна быть там, где ей положено...
Или исправление этого бага сломает нормальную работу в других WM?
------- Comment #6 From 2003-09-30 19:10:36 -------
Ну нету в licq и KDE поддержки GNOME-овского дока, 
как у inger руки доберуться, он мне поможет сделать, 
чтобы KDE-шные приложения докились в GNOME. 
 
А то, что GNOME-овские умеют докиться в KDE - 
это заслуга RedHat, их патч для KDE. 
 
------- Comment #7 From 2008-02-15 22:09:53 -------
re
------- Comment #8 From 2008-02-15 22:10:08 -------
apparently wontfix
------- Comment #9 From 2008-02-18 15:36:43 -------
fixed давно